Region¶
Tip
Region is an internal name. In the UI and elsewhere, this is Availability Zone.
List All Regions¶
GET /api/admin/locations/{location_id}/regions
Schema
regions: Arrayid: Integername: Stringactive: Booleanfill_to: Integervolume_backend: String - local or nfsnfs_remote_host: String - IP Address of NFS server when connecting from the nodenfs_remote_path: String - path to nfs volume on remote server. the volume name will be appended to this, so dont add trailing slash.nfs_controller_ip: String - IP Address of NFS Server when connecting from the controlleroffline_window: Integer - In seconds, how long do we wait after the last heartbeat before consider this node offline?failure_count: Integer - How many times do we attempt to connect back to the node to verify it's really offline before migrating it's containers to other nodesloki_endpoint: Stringloki_retries: Stringloki_batch_size: Stringloki_client_id: Integermetric_client_id: Integercreated_at: DateTimeupdated_at: DateTime
View Region¶
GET /api/admin/locations/{location_id}/regions/{id}
Schema
regions: Objectid: Integername: Stringactive: Booleanfill_to: Integervolume_backend: String - local or nfsnfs_remote_host: String - IP Address of NFS server when connecting from the nodenfs_remote_path: String - path to nfs volume on remote server. the volume name will be appended to this, so dont add trailing slash.nfs_controller_ip: String - IP Address of NFS Server when connecting from the controlleroffline_window: Integer - In seconds, how long do we wait after the last heartbeat before consider this node offline?failure_count: Integer - How many times do we attempt to connect back to the node to verify it's really offline before migrating it's containers to other nodesloki_endpoint: Stringloki_retries: Stringloki_batch_size: Stringloki_client_id: Integermetric_client_id: Integercreated_at: DateTimeupdated_at: DateTime
Update Region¶
PATCH /api/admin/locations/{location_id}/regions/{id}
Warning
Note: You may not update the name of an existing region. In a future update we will make that change possible.
Schema
regions: Arrayactive: Booleanfill_to: Integervolume_backend: String - local or nfsnfs_remote_host: String - IP Address of NFS server when connecting from the nodenfs_remote_path: String - path to nfs volume on remote server. the volume name will be appended to this, so dont add trailing slash.nfs_controller_ip: String - IP Address of NFS Server when connecting from the controlleroffline_window: Integer - In seconds, how long do we wait after the last heartbeat before consider this node offline?failure_count: Integer - How many times do we attempt to connect back to the node to verify it's really offline before migrating it's containers to other nodesloki_endpoint: Stringloki_retries: Stringloki_batch_size: Stringloki_client_id: Integermetric_client_id: Integer
Create Region¶
POST /api/admin/locations/{location_id}/regions
Schema
regions: Objectname: Stringactive: Booleanfill_to: Integervolume_backend: String - local or nfsnfs_remote_host: String - IP Address of NFS server when connecting from the nodenfs_remote_path: String - path to nfs volume on remote server. the volume name will be appended to this, so dont add trailing slash.nfs_controller_ip: String - IP Address of NFS Server when connecting from the controlleroffline_window: Integer - In seconds, how long do we wait after the last heartbeat before consider this node offline?failure_count: Integer - How many times do we attempt to connect back to the node to verify it's really offline before migrating it's containers to other nodesloki_endpoint: Stringloki_retries: Stringloki_batch_size: Stringloki_client_id: Integermetric_client_id: Integer
Delete Region¶
DELETE /api/admin/locations/{location_id}/regions/{id}